import java.util.Scanner;
public static void main(String args[])
{
  System.out.println(" Operaciones con vectores en el plano");
    System.out println("Vector 1:");
    Vector vectorV1= new Vector();
    vectorV1.leer();
    
    System.out.println(" Vector 2:");
    Vector vectorV2= new Vector();
    vectorV2.leer();
    
    Vector suma=vectorV1.sumar(vectorV2);
    Vector resta=vectorV1.sumar(vectorV2);
    
    vectorV1.imprimir();
    System.out.print("+"); 
    vectorV2.imprimir();
    System.out.print(":");
    suma.imprimir();
    resta.imprimir();
    
}

public class Vector
{
  static double x=0.0;
  static double y=0.0;
}

public static boolen leer()
{
  Scanner teclado= new Scanner( System.in);
  x= teclado.nextInt();
   y= teclado.nextInt();
  if( x==0 && y==0)
    return false;
  return true;
 }
 public void String toString(){
   int vector= 1;
   for(i= 1; i<= vector; ++i)
   {
   System.out.print( " vector"+ i +":");
   }
   return ( "V" + i + ":"+ " (x,y)" + "=" +x + " , " + y) + ";"(r,o)="
     + norma() + ";" + calcularO();
 }
 
public static double calcularO(int x, int y){
  
  return Math.atan2(x,y);
}

public static double norma( int r){
  return math.sqrt(x^2 + y^2);
}

Public Vector sumar( Vector vectorV2){
 Vector.resultado1= new Vector();
 o.o=new o();
 Vector.r=new r();
 resultado.vector=( vector + otra.vector);

 return resultado1;
}

Public Vector restar ( Vector vectorV2){
  Vector. resultado2= new Vector();
  
  resultado.vector=( vector - otra.vector);
  
  return resultado2;
}

  
  
  
  
  